Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.client
Class SandeshaClientConstants

    java.lang.Object
      org.apache.sandesha2.client.SandeshaClientConstants

    public class SandeshaClientConstants

extends java.lang.Object

Constants that are needed for the Sandesha2 Client API.

Field Summary
`static java.lang.String` | `AcksTo`
`static java.lang.String` | `AUTO_START_NEW_SEQUENCE`
`static java.lang.String` | `AVOID_AUTO_TERMINATION`
`static java.lang.String` | `DUMMY_MESSAGE`
`static java.lang.String` | `FORBID_MIXED_EPRS_ON_SEQUENCE`
`static java.lang.String` | `INTERNAL_SEQUENCE_ID`
`static java.lang.String` | `LAST_MESSAGE`
`static java.lang.String` | `MESSAGE_NUMBER`
`static java.lang.String` | `OFFERED_ENDPOINT`
`static java.lang.String` | `OFFERED_SEQUENCE_ID`
`static java.lang.String` | `ONE_WAY_SEQUENCE`
`static java.lang.String` | `RM_SPEC_VERSION`
`static java.lang.String` | `SANDESHA_DEBUG_MODE`
`static java.lang.String` | `SANDESHA_LISTENER`
`static java.lang.String` | `SEQUENCE_KEY`
`static java.lang.String` | `UNRELIABLE_MESSAGE`
`static java.lang.String` | `USE_REPLY_TO_AS_ACKS_TO`

Constructor Summary
`SandeshaClientConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AcksTo

    public static final java.lang.String AcksTo

See Also:
  Constant Field Values

### LAST_MESSAGE

    public static final java.lang.String LAST_MESSAGE

See Also:
  Constant Field Values

### OFFERED_SEQUENCE_ID

    public static final java.lang.String OFFERED_SEQUENCE_ID

See Also:
  Constant Field Values

### INTERNAL_SEQUENCE_ID

    public static final java.lang.String INTERNAL_SEQUENCE_ID

See Also:
  Constant Field Values

### SANDESHA_DEBUG_MODE

    public static final java.lang.String SANDESHA_DEBUG_MODE

See Also:
  Constant Field Values

### SEQUENCE_KEY

    public static final java.lang.String SEQUENCE_KEY

See Also:
  Constant Field Values

### MESSAGE_NUMBER

    public static final java.lang.String MESSAGE_NUMBER

See Also:
  Constant Field Values

### RM_SPEC_VERSION

    public static final java.lang.String RM_SPEC_VERSION

See Also:
  Constant Field Values

### DUMMY_MESSAGE

    public static final java.lang.String DUMMY_MESSAGE

See Also:
  Constant Field Values

### UNRELIABLE_MESSAGE

    public static final java.lang.String UNRELIABLE_MESSAGE

See Also:
  Constant Field Values

### SANDESHA_LISTENER

    public static final java.lang.String SANDESHA_LISTENER

See Also:
  Constant Field Values

### USE_REPLY_TO_AS_ACKS_TO

    public static final java.lang.String USE_REPLY_TO_AS_ACKS_TO

See Also:
  Constant Field Values

### OFFERED_ENDPOINT

    public static final java.lang.String OFFERED_ENDPOINT

See Also:
  Constant Field Values

### AVOID_AUTO_TERMINATION

    public static final java.lang.String AVOID_AUTO_TERMINATION

See Also:
  Constant Field Values

### AUTO_START_NEW_SEQUENCE

    public static final java.lang.String AUTO_START_NEW_SEQUENCE

See Also:
  Constant Field Values

### FORBID_MIXED_EPRS_ON_SEQUENCE

    public static final java.lang.String FORBID_MIXED_EPRS_ON_SEQUENCE

See Also:
  Constant Field Values

### ONE_WAY_SEQUENCE

    public static final java.lang.String ONE_WAY_SEQUENCE

See Also:
  Constant Field Values

Constructor Detail

### SandeshaClientConstants

    public SandeshaClientConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.